## GstQueueArray GstQueueArray |

## Functions

GstQueueArray * | gst_queue_array_new ()
void | gst_queue_array_free ()
guint | gst_queue_array_get_length ()
gpointer | gst_queue_array_pop_head ()
gpointer | gst_queue_array_peek_head ()
void | gst_queue_array_push_tail ()
gboolean | gst_queue_array_is_empty ()
gpointer | gst_queue_array_drop_element ()
guint | gst_queue_array_find ()
GstQueueArray * | gst_queue_array_new_for_struct ()
void | gst_queue_array_push_tail_struct ()
gpointer | gst_queue_array_peek_head_struct ()
gpointer | gst_queue_array_pop_head_struct ()
gboolean | gst_queue_array_drop_struct ()

## Types and Values

| GstQueueArray

## Includes

    #include <gst/base/gstqueuearray.h>

## Description

## Functions

### gst_queue_array_new ()

    GstQueueArray *
    gst_queue_array_new (guint initial_size);

### gst_queue_array_free ()

    void
    gst_queue_array_free (GstQueueArray *array);

### gst_queue_array_get_length ()

    guint
    gst_queue_array_get_length (GstQueueArray *array);

### gst_queue_array_pop_head ()

    gpointer
    gst_queue_array_pop_head (GstQueueArray *array);

### gst_queue_array_peek_head ()

    gpointer
    gst_queue_array_peek_head (GstQueueArray *array);

### gst_queue_array_push_tail ()

    void
    gst_queue_array_push_tail (GstQueueArray *array,
                               gpointer data);

### gst_queue_array_is_empty ()

    gboolean
    gst_queue_array_is_empty (GstQueueArray *array);

### gst_queue_array_drop_element ()

    gpointer
    gst_queue_array_drop_element (GstQueueArray *array,
                                  guint idx);

### gst_queue_array_find ()

    guint
    gst_queue_array_find (GstQueueArray *array,
                          GCompareFunc func,
                          gpointer data);

### gst_queue_array_new_for_struct ()

    GstQueueArray *
    gst_queue_array_new_for_struct (gsize struct_size,
                                    guint initial_size);

### gst_queue_array_push_tail_struct ()

    void
    gst_queue_array_push_tail_struct (GstQueueArray *array,
                                      gpointer p_struct);

### gst_queue_array_peek_head_struct ()

    gpointer
    gst_queue_array_peek_head_struct (GstQueueArray *array);

### gst_queue_array_pop_head_struct ()

    gpointer
    gst_queue_array_pop_head_struct (GstQueueArray *array);

### gst_queue_array_drop_struct ()

    gboolean
    gst_queue_array_drop_struct (GstQueueArray *array,
                                 guint idx,
                                 gpointer p_struct);

## Types and Values

### GstQueueArray

    typedef struct _GstQueueArray GstQueueArray;